# Splitting an Allocation

Split an existing allocation into two on the specified date.

This endpoint returns structured Workspace Allocation objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_allocations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /workspace_allocations/split
Version: 1.0.0

## Query parameters:

  - `split_date` (string, required)
    The date on which the allocation splits, in YYYY-MM-DD format. The date must be in ISO 8601 format.

  - `workspace_allocation_id` (integer, required)
    The ID of the allocation. This can be found via the Fetch Workspace Allocations endpoint.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User)
- external_references (ExternalReference) - Includes references to external integrations for this object.
- updater (User)
- workspace (Workspace) - The workspace that the resource is allocated in.
- workspace_resource (WorkspaceResource).

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_allocations` (object)

  - `external_references` (object)

  - `workspace_resources` (object)

  - `workspaces` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


